#include<bits/stdc++.h>
using namespace std;
int main() {
    int n;
    cin>>n;
    vector <int> v;
    for (int i=1; i<=2*n; i++) {
        v.push_back(i);
    }
    int r=2*n-1;
    int l=0;
    for (int i=0; i<n/2; i++) {
        cout<<v[l]<<" "<<v[r]<<" ";
        r--;
        l++;
    }
    cout<<endl;
     for (int k=n/2; k<n; k++) {
        cout<<v[l]<<" "<<v[r]<<" ";
        r--;
        l++;
    }
}